[CentralOH] Python 2.5.1 / Ubuntu 7.10 problem with .zip file

Mark Erbaugh mark at microenh.com
Thu Mar 6 19:22:38 CET 2008


I am working on an application that uses .zip files as part of an
        automatic update process. Since Python 2.3, Python has been able
        to read
        files from a .zip file.  I've done most of the development with
        Python
        2.4.3 under Ubuntu 6.06.  Today, I tried running the application
        under
        Python 2.5.1 with Ubuntu 7.10. It is unable to read either of
        the .zip
        files that the program uses for updates. However, many of the
        built in
        features of python are located in Python25.zip and it apparently
        has no
        problem reading that, or I would think I would have a lot more
        problems.
        I installed Python 2.4 on the Ubuntu 7.10 machine and it is able
        to read
        the .zip files.
        
        Other than the update process, the program runs fine under
        either Python
        2.4 or 2.5.
        
        Interestingly, the Python script that I use to create the .zip
        file runs
        fine under 2.5.1 and the program running under Python 2.4 can
        read
        the .zip file it creates fine.
        



More information about the CentralOH mailing list